
Figure - Bug #111348
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110879 (New): BSP-BVT测试-QFIL刷机

【BSP】【EVT】【系统升级】【单板必现】QFIL刷机结束后，不能自动开机
2022-08-18 15:56 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-18

Priority: High Due date:

Assignee: SZTS_TEST 邹涛 % Done: 60%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: 0.0.0.20220818_alpha_004

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于9008状态

操作步骤：

1、使用QFIL刷机工具烧录0817刷机包

2、刷机结束后查看板子是否自动开机

实际结果：

1、QFIL刷机结束后，板子不会自动开机；需要手动插拔下DC才能启动

预期结果：

1、刷机结束后，板子可以正常开机

History

#1 - 2022-08-31 13:00 - CD SYSTEM-赵正军

- Assignee changed from SZ 系统-张丽果 to CD SYSTEM-赵正军

从现有log看 DDR在sbl阶段没有初始化成功

目前本地完整编译Figure代码，qfile刷机，设备也无法启动。log也是提示DDR 未初始化成功

但是xbl替换成服务器版本中的xbl.elf xbl_config.elf则能正常启动，两个现象可能是同一个原因引起，需再进一步分析

#2 - 2022-08-31 13:00 - CD SYSTEM-赵正军

- % Done changed from 0 to 20

#3 - 2022-09-13 18:29 - CD SYSTEM-赵正军

目前ddr的初始化失败都在xbl阶段,需要先确认XBL是否可用SV1的xbl代码

[14:12:06]B -  16737607 - Frequency = 1805 MHz

[14:12:06]B -  16737637 - DDR: End of DDR Training Init

[14:12:06]D -  16194981 - do_ddr_training, Delta

[14:12:06]D -       885 - sbl1_save_ddr_training_data

2025-07-04 1/6



[14:12:06]D -  16201875 - sbl1_do_ddr_training

[14:12:06]D -         0 - sbl1_hand_control_to_devprog_ddr

[14:12:06]B -  16765423 - Mem dump cmd, entry

[14:12:06]D -         0 - Mem dump cmd, exit

[14:12:06]B -  16773200 - Error code 84 at ddr_external_api.c Line 417

[14:12:06]B -  16776403 - ^^^^- Printing Call Stack -^^^^

[14:12:06]B -  16781954 - func_addr  :   1481DD60

[14:12:06]B -  16786315 - func_addr  :   148295A4

[14:12:06]B -  16789975 - func_addr  :   14823D50

[14:12:06]B -  16793666 - func_addr  :   14823E0C

[14:12:06]B -  16797326 - func_addr  :   14824358

[14:12:06]B -  16800986 - func_addr  :   1481584C

[14:12:06]B -  16804646 - ^^^^^- Done Printing -^^^^^

[14:12:06]B -  16808306 - sbl_error_handler FAIL: DDR not initialized

#4 - 2022-09-14 12:12 - CD TPM-申艳艳

- Category changed from BSP to SYSTEM

#5 - 2022-09-15 12:56 - CD SYSTEM-赵正军

目前考虑DDR频率偏高导致DDR异常,当前方案调整频率到 1666 MHz,还请用出现问题的硬件以及 出现问题的软件版本(替换附件的xbl.elf/xbl_config.elf文件

刷机)验证.

替换路径:

DailyBuild_path/ufs/xbl.elf

DailyBuild_path/ufs/xbl_config.elf

同时需要确认xbl代码,因为特殊原因目前xbl使用的SV1项目的xbl代码, 需要确认下当前使用的ddr是否有在SV1基线的PVL验证列表里面

期望启动日志有如下关键log

*B -  16779819 - Frequency = 1666 MHz *   

B -    552965 - do_ddr_training, Start                                                                                                                                 

B -    584685 - DDR: LIB lp5 Start of DDR Training Init                                                                                                                

B -  16610727 - TRAINING TIME PER FUNCTION: GROUP=PLL Pre-Cal,NAME=PLL Precal,CALL_COUNT=7,TOTAL_TIME(us)=84853                               

                        

B -  16616491 - TRAINING TIME PER FUNCTION: GROUP=DCC Monitor,NAME=WCK DCC Monitor,CALL_COUNT=4,TOTAL_TIME(us)=465919     

                                            

B -  16626678 - TRAINING TIME PER FUNCTION: GROUP=DCC Monitor2,NAME=DRAM DCC,CALL_COUNT=1,TOTAL_TIME(us)=76219                   

                                     

B -  16637384 - TRAINING TIME PER FUNCTION: GROUP=DCC Monitor3,NAME=RDT4 DCC Monitor,CALL_COUNT=4,TOTAL_TIME(us)=410042  

                                             

B -  16647479 - TRAINING TIME PER FUNCTION: GROUP=RCW,NAME=RCW CDC/Full Cycle Sweep,CALL_COUNT=1,TOTAL_TIME(us)=81160       

                                          

B -  16658368 - TRAINING TIME PER FUNCTION: GROUP=LowSpeed DIT,NAME=tWCK2DQI (DIT),CALL_COUNT=1,TOTAL_TIME(us)=1708           
B -  16669073 - TRAINING TIME PER FUNCTION: GROUP=Read,NAME=DQ PBIT,CALL_COUNT=1,TOTAL_TIME(us)=244397                                            

                    

B -  16679596 - TRAINING TIME PER FUNCTION: GROUP=Read,NAME=Global Vref CDC-2D,CALL_COUNT=2,TOTAL_TIME(us)=2129175                   

                                 

B -  16688990 - TRAINING TIME PER FUNCTION: GROUP=Read,NAME=Local Vref CDC-2D,CALL_COUNT=1,TOTAL_TIME(us)=3818295                      

                               

B -  16699421 - TRAINING TIME PER FUNCTION: GROUP=Read,NAME=RDQS CDC CF,CALL_COUNT=4,TOTAL_TIME(us)=113888                                

                            

B -  16709821 - TRAINING TIME PER FUNCTION: GROUP=HighSpeed DIT,NAME=DIT - Periodic Training,CALL_COUNT=4,TOTAL_TIME(us)=4851  

                                       

B -  16719520 - TRAINING TIME PER FUNCTION: GROUP=Write,NAME=DRAM_LP5_WR_Vref,CALL_COUNT=2,TOTAL_TIME(us)=1747925              

                                       

B -  16730958 - TRAINING TIME PER FUNCTION: GROUP=Write,NAME=LP5_WR_CPY_DVref_Upr_FSP,CALL_COUNT=6,TOTAL_TIME(us)=854    

                                             

B -  16741328 - TRAINING TIME PER FUNCTION:

GROUP=Write,NAME=PHY_Trn_LP5_WR_DCC_CDC,CALL_COUNT=5,TOTAL_TIME(us)=5618130                                                

B -  16752033 - TRAINING TIME PER FUNCTION: GROUP=Write,NAME=Low Freq DQ CDC perbit,CALL_COUNT=4,TOTAL_TIME(us)=1213169         

                                      

B -  16762861 - TRAINING TIME TOTAL(us): 16010585                                                                                                                      

B -  16779819 - Frequency = 1666 MHz                                                                                                                                   

B -  16779849 - DDR: End of DDR Training Init  

#6 - 2022-09-15 12:57 - CD SYSTEM-赵正军

- Status changed from New to ASSIGNED

- Assignee changed from CD SYSTEM-赵正军 to SZTS_TEST 邹涛

- % Done changed from 20 to 60

#7 - 2022-09-15 12:58 - CD SYSTEM-赵正军

- File xbl.elf added

- File xbl_config.elf added

#8 - 2022-09-15 18:06 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V1.0_update_20220925

#9 - 2022-09-16 11:18 - SZTS_TEST 邹涛

- File Serial-COM119_20220916110305.log added
使用修改过硬件gpio的板子

0818号DB解压后替换成上面的xbl和config文件

使用qfil刷机，刷机结束后查看能板子不能正常启动

#10 - 2022-09-16 15:54 - SZTS_TEST 邹涛

- File Serial-COM119_20220916151802.log added

- File 中科创达软件股份有限公司20220916-155241.jpg added

- File 中科创达软件股份有限公司20220916-155308.jpg added

0916号DB版本验证，使用qfil刷机，小概率出现刷机结束后设备起不来

0916号DB版本替换掉xbl和config文件后，使用qfil刷机，小概率出现刷机结束后设备起不来

因此替换xbl的修改方式未修复该问题，请研发继续跟进分析解决；谢谢

#11 - 2022-09-19 13:43 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to CD SYSTEM-赵正军

#12 - 2022-09-26 14:08 - 物联网项目组-RD3_CDTS 周飞

- Target version changed from VX1_MCE_FSE_V1.0_update_20220925 to VX1_MCE_FSE_V2.0_20220930

#13 - 2022-09-26 16:27 - CD SYSTEM-赵正军

- Assignee changed from CD SYSTEM-赵正军 to SZTS_TEST 邹涛

因目前硬件有部分改动，同时我这的板子无法复现，还请测试用问题复现高的主板跟踪测试几个版本

#14 - 2022-09-27 16:22 - CDTS-TEST 周婷

- Severity changed from Critical to Major

优先级放低，不作为0930 必须fix bug 交付

#15 - 2022-09-28 18:10 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to CD SYSTEM-赵正军

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V2.0_update_20221012

#16 - 2022-10-11 09:55 - CD SYSTEM-赵正军

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD SYSTEM-赵正军 to SZTS_TEST 邹涛

此问题依赖基线升级，经内部讨论这次版本暂不释放

同时还请测试同事继续跟踪DB是否有此问题

#17 - 2022-10-11 14:04 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V2.0_update_20221012 to VX1_MCE_FSE_V3.0_20221030
#18 - 2022-10-12 11:31 - SZTS_TEST 邹涛

release分支1011号userdebug版本，使用qfil刷机大概10多次后，出现一次刷机结束后板子没正常启动

#19 - 2022-10-12 11:32 - SZTS_TEST 邹涛

- File Serial-COM119_20221012104141.log added

- File 中科创达软件股份有限公司20221012-113159.jpg added

#20 - 2022-10-12 11:37 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to CD SYSTEM-赵正军

#21 - 2022-10-19 14:10 - CD SYSTEM-胡兵

需要在最新的基线版本上进行复测，等待最新基线版本

#22 - 2022-10-21 18:27 - SZTS_TEST 邹涛

evt2样机24台，烧录release分支1014号userdebug版本，未复现qfil刷机结束后不能正常起来的情况。后续版本继续跟踪

#23 - 2022-10-25 15:38 - CDTS-TEST 周婷

- Assignee changed from CD SYSTEM-赵正军 to SZTS_TEST 邹涛

请继续跟踪

#24 - 2022-10-28 20:03 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

更换版本基线后再次验证

#25 - 2022-11-04 17:55 - SZTS_TEST 邹涛

- Status changed from NEED_INFO to RESOLVED

1104号DB-userdebug版本验证qfil刷机10次，未复现。已跟踪多个版本和多块版本上验证问题未复现，先关闭该bug，后续遇到在重新提交bug跟踪

#26 - 2022-11-04 17:55 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

#27 - 2022-11-04 17:55 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

Files

Serial-COM119_20220818133045_QFIL刷机不能自动起来需要手动断电.log 716 KB 2022-08-18 SZTS_TEST 邹涛

Serial-COM119_20220818151223_shuaji 起不来.log 1.02 MB 2022-08-18 SZTS_TEST 邹涛

xbl.elf 3.32 MB 2022-09-15 CD SYSTEM-赵正军
xbl_config.elf 96.1 KB 2022-09-15 CD SYSTEM-赵正军

Serial-COM119_20220916110305.log 10.3 KB 2022-09-16 SZTS_TEST 邹涛

Serial-COM119_20220916151802.log 1.16 MB 2022-09-16 SZTS_TEST 邹涛

中科创达软件股份有限公司20220916-155241.jpg 544 KB 2022-09-16 SZTS_TEST 邹涛

中科创达软件股份有限公司20220916-155308.jpg 643 KB 2022-09-16 SZTS_TEST 邹涛

Serial-COM119_20221012104141.log 2.1 MB 2022-10-12 SZTS_TEST 邹涛

中科创达软件股份有限公司20221012-113159.jpg 207 KB 2022-10-12 SZTS_TEST 邹涛
